Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

metasploit: update to 6.0.12, add updateScript #101687

Merged
merged 2 commits into from Nov 27, 2020

Conversation

@makefu
Copy link
Contributor

@makefu makefu commented Oct 25, 2020

Motivation for this change

As a contribution to this years hacktoberfest i want to bump metasploit to the latest version.
Additionally I converted the maintainer comments for updating into a working shell script and added it via passthru.updateScript. I hope nixpkgs-update run by @r-ryantm will now pick up new versions automatically.

Things done
  • Tested using sandboxing (nix.useSandbox on NixOS, or option sandbox in nix.conf on non-NixOS linux)
  • Built on platform(s)
    • NixOS
    • macOS
    • other Linux distributions
  • Tested via one or more NixOS test(s) if existing and applicable for the change (look inside nixos/tests)
  • Tested compilation of all pkgs that depend on this change using nix-shell -p nixpkgs-review --run "nixpkgs-review wip"
  • Tested execution of all binary files (usually in ./result/bin/)
  • Determined the impact on package closure size (by running nix path-info -S before and after)
    • before: /nix/store/v3fqbxmscrgr0dy456cn9adq8sf78c93-metasploit-framework-5.0.90 1028103384
    • after: /nix/store/dixmayl4s2kddr0yql3zrgs1fjvl9gms-metasploit-framework-6.0.4 1012865360
  • Ensured that relevant documentation is up to date
  • Fits CONTRIBUTING.md.
  • Tested updateScript via nix-shell maintainers/scripts/update.nix --argstr path metasploit
@makefu
Copy link
Contributor Author

@makefu makefu commented Oct 25, 2020

@GrahamcOfBorg build metasploit

@teto
Copy link
Contributor

@teto teto commented Oct 26, 2020

when starting I get
results/metasploit/bin/msfconsole
Following files may not be writable, so sudo is needed:
/nix/store/g57ln13r4y0z374im449lh56wzylzkqz-metasploit-bundler-env/lib/ruby/gems/2.6.0
/nix/store/g57ln13r4y0z374im449lh56wzylzkqz-metasploit-bundler-env/lib/ruby/gems/2.6.0/bin
/nix/store/g57ln13r4y0z374im449lh56wzylzkqz-metasploit-bundler-env/lib/ruby/gems/2.6.0/bin
/nix/store/g57ln13r4y0z374im449lh56wzylzkqz-metasploit-bundler-env/lib/ruby/gems/2.6.0/build_info
/nix/store/g57ln13r4y0z374im449lh56wzylzkqz-metasploit-bundler-env/lib/ruby/gems/2.6.0/build_info/nokogiri-1.10.10.info
/nix/store/g57ln13r4y0z374im449lh56wzylzkqz-metasploit-bundler-env/lib/ruby/gems/2.6.0/build_info/pg-1.2.3.info
/nix/store/g57ln13r4y0z374im449lh56wzylzkqz-metasploit-bundler-env/lib/ruby/gems/2.6.0/build_info/sqlite3-1.4.2.info
/nix/store/g57ln13r4y0z374im449lh56wzylzkqz-metasploit-bundler-env/lib/ruby/gems/2.6.0/bundler
/nix/store/g57ln13r4y0z374im449lh56wzylzkqz-metasploit-bundler-env/lib/ruby/gems/2.6.0/cache
/nix/store/g57ln13r4y0z374im449lh56wzylzkqz-metasploit-bundler-env/lib/ruby/gems/2.6.0/doc
/nix/store/g57ln13r4y0z374im449lh56wzylzkqz-metasploit-bundler-env/lib/ruby/gems/2.6.0/extensions
/nix/store/g57ln13r4y0z374im449lh56wzylzkqz-metasploit-bundler-env/lib/ruby/gems/2.6.0/gems
/nix/store/g57ln13r4y0z374im449lh56wzylzkqz-metasploit-bundler-env/lib/ruby/gems/2.6.0/specifications

not critical but is it possible to hide those ?

@ryantm
Copy link
Member

@ryantm ryantm commented Oct 26, 2020

Sounds like #101479

@SuperSandro2000
Copy link
Member

@SuperSandro2000 SuperSandro2000 commented Nov 27, 2020

Result of nixpkgs-review pr 101687 run on x86_64-linux 1

1 package built:
  • metasploit

@SuperSandro2000
Copy link
Member

@SuperSandro2000 SuperSandro2000 commented Nov 27, 2020

Result of nixpkgs-review pr 101687 run on x86_64-darwin 1

1 package built:
  • metasploit

@SuperSandro2000 SuperSandro2000 merged commit 60a550e into NixOS:master Nov 27, 2020
20 of 23 checks passed
@makefu
Copy link
Contributor Author

@makefu makefu commented Nov 27, 2020

thanks!

@makefu makefu deleted the pkgs/metasploit/6.0.12 branch Nov 27, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

5 participants